using System;

internal sealed class Delegate820 : MulticastDelegate
{
	public extern object Invoke(Type type_0, byte byte_0);

	public static object smethod_0(Type type_0, byte byte_0, Delegate820 delegate820_1)
	{
		return delegate820_1(type_0, byte_0);
	}

	public extern Delegate820(object object_0, IntPtr intptr_0);

	static Delegate820()
	{
		Class10.smethod_13(typeof(Delegate820).TypeHandle);
	}

	internal static Delegate820 delegate820_0;
}
